class TexFmt < Formula
  desc "Extremely fast LaTeX formatter written in Rust"
  homepage "https://github.com/WGUNDERWOOD/tex-fmt"
  url "https://github.com/WGUNDERWOOD/tex-fmt/archive/refs/tags/v0.4.7.tar.gz"
  sha256 "3259a5ee9211753787e894c10313541108149285e7eba27f8281886bb14b5c79"
  license "MIT"
  head "https://github.com/WGUNDERWOOD/tex-fmt.git", branch: "main"

  depends_on "rust" => :build

  def install
    system "cargo", "install", *std_cargo_args
  end

  test do
    (testpath/"test.tex").write <<~TEX
      \\documentclass{article}
      \\title{tex-fmt Homebrew Test}
      \\begin{document}
      \\maketitle
      \\begin{itemize}
      \\item Hello
      \\item World
      \\end{itemize}
      \\end{document}
    TEX

    assert_equal <<~TEX, shell_output("#{bin}/tex-fmt --print #{testpath}/test.tex")
      \\documentclass{article}
      \\title{tex-fmt Homebrew Test}
      \\begin{document}
      \\maketitle
      \\begin{itemize}
        \\item Hello
        \\item World
      \\end{itemize}
      \\end{document}
    TEX

    assert_match version.to_s, shell_output("#{bin}/tex-fmt --version")
  end
end
